; 
; Written by Donald Acton and Barry Brachman with help from Marc Majka
; March 11/85
;
; Dept. of Computer Science
; University of British Columbia
; 

(defun 
    (sp spword
      (setq spword (get-tty-string "Word: " ))
      (do-sp spword)
    )
)

(defun						; bjb
    (sp-from-buffer spword
	(setq spword (get-next-word))
	(message (concat "Word: " spword))
	(sit-for 0)
	(do-sp spword)
    )
)

(defun
    (do-sp curr found tmp
      (setq curr (current-buffer-name))
      (pop-to-buffer "sp")
      (setq needs-checkpointing 0)
      (erase-buffer)
      (set-mark)
      (filter-region (concat "sp " spword))
      (beginning-of-file)
      (setq found " *not found*")
      (setq tmp case-fold-search)
      (setq case-fold-search 1)
      (error-occurred (re-search-forward (concat "\. " spword "$"))
                       (beginning-of-line)
                       (line-to-top-of-window)
                       (setq found " *found*"))
      (setq case-fold-search tmp)
      (setq mode-line-format " %b - %m      %p")
      (setq mode-string (concat spword found))
      (pop-to-buffer curr)
      (novalue)))
